- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgParticle::LinearInterpolator Class Reference

A linear interpolator. More...

Inheritance diagram for osgParticle::LinearInterpolator:

[legend]
List of all members.

## Public Member Functions
| LinearInterpolator ()
| LinearInterpolator (const LinearInterpolator &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgParticle, LinearInterpolator)
virtual float | interpolate (float t, float y1, float y2) const
| Interpolate between floats. Must be overriden in descendant classes.
## Protected Member Functions
virtual | ~LinearInterpolator ()

## Detailed Description

A linear interpolator.

## Constructor & Destructor Documentation

osgParticle::LinearInterpolator::LinearInterpolator | ( |  | ) | `[inline]`

osgParticle::LinearInterpolator::LinearInterpolator | ( | const LinearInterpolator & | copy,
|  | const osg::CopyOp & | copyop = `osg::CopyOp::SHALLOW_COPY`
| ) | `[inline]`

virtual osgParticle::LinearInterpolator::~LinearInterpolator | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual float osgParticle::LinearInterpolator::interpolate | ( | float | t,
|  | float | y1,
|  | float | y2
| ) | const`[inline, virtual]`

| Interpolate between floats. Must be overriden in descendant classes. Implements osgParticle::Interpolator.

osgParticle::LinearInterpolator::META_Object | ( | osgParticle | ,
|  | LinearInterpolator |
| ) |

The documentation for this class was generated from the following file:

- LinearInterpolator